List offers

GET

GET https://external-api.lia.com.br/external_api/v1/offers

Body params

NameDescriptionRequiredType
searchSearch offers by its product namefalseString
sort_bySort your results by asc or descfalseString
availabilityFilter your products by availability, can be enabled, disabled or expiredfalseString
pageNumber of the page you wantfalseInteger
per_pageTotal items per pagefalseInteger

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/offers/' \
--header 'Authorization: Bearer token'

Example response

{
    "results": [
        {
            "amount_cents": 20000,
            "amount_currency": "BRL",
            "availability": "enabled",
            "created_at": "2024-05-13T08:55:25.858-03:00",
            "expires_at": "2024-06-13T23:59:59.000-03:00",
            "id": "8dd4fffd-e1b3-503f-a7f2-963c6d32c0cd",
            "name": "Padrão VIA API",
            "payment_configurations": [
                {
                    "allowed_down_payment_methods": [],
                    "availability": "enabled",
                    "down_payment_type": null,
                    "down_payment_value": 0.0,
                    "expires_in": 24,
                    "financed_type": null,
                    "id": "7e2d9f50-27fa-5d87-924f-b0bb50434d50",
                    "interest_rate": 0.0,
                    "max_down_payment_installments": null,
                    "max_installments": 1,
                    "min_installment_amount_cents": 5000,
                    "payment_methods": [
                        "pix"
                    ],
                    "payment_type": "upfront",
                    "registration_fee": 0.0,
                    "take_rate_type": "absolute",
                    "take_rate_value": 297.0
                }
            ],
            "product": {
                "access_period": "lifetime",
                "availability": "enabled",
                "banner_url": null,
                "company_id": "10d95971-868c-517a-9354-8a2b8905fccd",
                "created_at": "2024-04-17T16:00:27.445-03:00",
                "description": "",
                "duration_in_days": 0,
                "duration_in_hours": 0,
                "end_date": null,
                "formatted_access_period": "Vitalício",
                "full_amount_cents": 198694,
                "full_amount_currency": "BRL",
                "google_pixel_code": "",
                "id": "a622575f-2f5d-532f-9c8f-22e33593d3ce",
                "kind": {
                    "id": "95c7a40c-fe12-4459-bc53-7a16cf6b2493",
                    "name": "Curso"
                },
                "meta_pixel_code": "",
                "metadata": {},
                "name": "Curso Exemplo -",
                "shift": {
                    "id": "7b062161-db67-4ae4-b591-1ee242dcebb3",
                    "name": "Online"
                },
                "start_date": null,
                "updated_at": "2024-04-17T16:00:27.445-03:00"
            },
            "seats": 30,
            "updated_at": "2024-05-13T08:55:25.858-03:00",
            "url": "https://pague-sandbox.lia.com.br/lia/oferta?offer_id=37da676f-4b17-5b7c-b34f-b439eebd7e3e"
        },
        {
            "amount_cents": 189694,
            "amount_currency": "BRL",
            "availability": "enabled",
            "created_at": "2024-04-17T17:44:18.611-03:00",
            "expires_at": null,
            "id": "988c0e83-5100-537c-b103-d3005441d037",
            "name": "Bronze",
            "payment_configurations": [
                {
                    "allowed_down_payment_methods": [],
                    "availability": "enabled",
                    "down_payment_type": null,
                    "down_payment_value": 0.0,
                    "expires_in": 24,
                    "financed_type": null,
                    "id": "468713e2-60af-5758-bba8-6475996d544d",
                    "interest_rate": 0.0,
                    "max_down_payment_installments": null,
                    "max_installments": 4,
                    "min_installment_amount_cents": 5000,
                    "payment_methods": [
                        "credit_card"
                    ],
                    "payment_type": "upfront",
                    "registration_fee": 0.0,
                    "take_rate_type": "percentage",
                    "take_rate_value": 0.0297
                }
            ],
            "product": {
                "access_period": "lifetime",
                "availability": "enabled",
                "banner_url": null,
                "company_id": "10d95971-868c-517a-9354-8a2b8905fccd",
                "created_at": "2024-04-17T16:00:27.445-03:00",
                "description": "",
                "duration_in_days": 0,
                "duration_in_hours": 0,
                "end_date": null,
                "formatted_access_period": "Vitalício",
                "full_amount_cents": 198694,
                "full_amount_currency": "BRL",
                "google_pixel_code": "",
                "id": "a622575f-2f5d-532f-9c8f-22e33593d3ce",
                "kind": {
                    "id": "95c7a40c-fe12-4459-bc53-7a16cf6b2493",
                    "name": "Curso"
                },
                "meta_pixel_code": "",
                "metadata": {},
                "name": "Curso Exemplo -",
                "shift": {
                    "id": "7b062161-db67-4ae4-b591-1ee242dcebb3",
                    "name": "Online"
                },
                "start_date": null,
                "updated_at": "2024-04-17T16:00:27.445-03:00"
            },
            "seats": null,
            "updated_at": "2024-04-17T17:44:18.611-03:00",
            "url": "https://pague-sandbox.lia.com.br/lia/oferta?offer_id=75cb4684-1c04-5044-9586-f655ae7a7da0"
        },
    ],
    "total_items": 2,
    "total_pages": 1
}